Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.sessions
Class SessionEventManager

`java.lang.Object
oracle.toplink.sessions.SessionEventManager`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class SessionEventManager
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

Purpose: Used to support session events. To register for events notification an event listener must be registered with the session.

See Also:
  `Session.getEventManager()`, `SessionEvent`, Serialized Form

Constructor Summary
`SessionEventManager(Session session)` PUBLIC: Create a new session event manager for a session

Method Summary
`void` | `addListener(SessionEventListener listener)` PUBLIC: Add the event listener to the session.
`java.util.Vector` | `getListeners()` PUBLIC: The event listners will receive all events raised by this session.
`boolean` | `hasListeners()` PUBLIC: Check if there are any event listeners.
`void` | `removeListener(SessionEventListener listener)` PUBLIC: Remove the event listener from the session.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionEventManager

    public SessionEventManager(Session session)

  PUBLIC: Create a new session event manager for a session

Method Detail

### addListener

    public void addListener(SessionEventListener listener)

  PUBLIC: Add the event listener to the session. The listner will receive all events raised by this session. Also unit of works acquire from this session will inherit the listenrs.

### getListeners

    public java.util.Vector getListeners()

  PUBLIC: The event listners will receive all events raised by this session. Also unit of works acquire from this session will inherit the listenrs.

### hasListeners

    public boolean hasListeners()

  PUBLIC: Check if there are any event listeners.

### removeListener

    public void removeListener(SessionEventListener listener)

  PUBLIC: Remove the event listener from the session.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD